import matplotlib.pyplot as plt
from matplotlib import *

def get_data(filename):
    x = []
    y = []
    with open(filename) as f:
        for line in f.readlines():
            x_data, y_data = map(float, line.split(", "))
            x.append(x_data)
            y.append(y_data)
    return x, y


x, y = get_data('../out/plot_data/ping_data/h1.1-data.txt')
plt.plot(x, y, '-',label= 'h1')


x, y = get_data('../out/plot_data/ping_data/h1.2-data.txt')
plt.plot(x, y, '-',label= 'h2')

x, y = get_data('../out/plot_data/ping_data/h1.3-data.txt')
plt.plot(x, y, '-',label= 'h3')

# x, y = get_data('../out/plot_data/ping_data/h1.4-data.txt')
# plt.plot(x, y, '-',label= 'h4')


plt.ylabel('Round Tirp Time')
plt.xlabel('Timestamp/s')
plt.title('Round trip time vs Timestamp')
legend = plt.legend(loc='upper center', shadow=True) #fontsize='x-large'


plt.show()
#plt.savefig('../out/time_latency.png')
plt.close() 